import request from '@/common/request.js'

// 获取园区数据
export function getMchntList() {
	return request({
		url: '/api/lnst/mchnt/commonlist',
		method: 'get',
	})
}

// 老人信息修改
export function updateKhjbxx(data) {
	return request({
		url: '/api/lnst/lrxx/edit',
		method: 'post',
		data: data
	})
}


// 老人信息新增
export function SaveKhjbxx(data) {
	data.source = '1'
	return request({
		url: '/api/lnst/lrxx',
		method: 'post',
		data: data
	})
}

// 老人信息详情
export function infoKhjbxx(id) {
	return request({
		url: '/api/lnst/lrxx/' + id,
		method: 'get',
		data: {}
	})
}


// 老人信息列表
export function ListKhjbxx(data) {
	return request({
		url: '/api/lnst/lrxx/list',
		method: 'get',
		data: data
	})
}



// 老人审核信息列表
export function ListKhShxx(data) {
	return request({
		url: '/api/lnst/shxx/list',
		method: 'get',
		data: data
	})
}


// 老人信息详情
export function GetLrByZjhm(data) {
	return request({
		url: '/api/lnst/lrxx/getLrByZjhm',
		method: 'get',
		data: data
	})
}


// 核实老人信息
export function CheckZjhm(data) {
	return request({
		url: '/api/lnst/lrxx/checkZjhm',
		method: 'get',
		data: data
	})
}

// 套餐列表
export function TcList(data) {
	return request({
		url: '/api/lnst/tc/list',
		method: 'get',
		data: data
	})
}


// 查询价格
export function GetJg(data) {
	return request({
		url: '/api/lnst/lrjbxx/getJg',
		method: 'get',
		data: data
	})
}


// 保存用餐信息
export function SaveYcxx(data) {
	return request({
		url: '/api/lnst/ycxx',
		method: 'post',
		data: data
	})
}

// 活体认证回调
export function CheckReturn(data) {
	return request({
		url: '/api/lnst/lrxx/checkReturn',
		method: 'post',
		data: data
	})
}


export function YlhtAdd(data) {
	return request({
		url: '/api/lnst/ylht',
		method: 'post',
		data: data
	})
}


export function YlhtUpdate(data) {
	return request({
		url: '/api/lnst/ylht',
		method: 'put',
		data: data
	})
}


export function GetUrl(data) {
	return request({
		url: '/api/lnst/lrxx/getUrl',
		method: 'post',
		data: data
	})
}